XHtmlIM Class Reference

`#include <xhtmlim.h>`

Inheritance diagram for XHtmlIM:
[legend]

## Public Member Functions

| XHtmlIM (const Tag *xhtml=0)
virtual | ~XHtmlIM ()
const Tag * | xhtml () const
virtual const std::string & | filterString () const
virtual StanzaExtension * | newInstance (const Tag *tag) const
virtual Tag * | tag () const
virtual StanzaExtension * | clone () const
Public Member Functions inherited from StanzaExtension
| StanzaExtension (int type)
virtual | ~StanzaExtension ()
virtual Stanza * | embeddedStanza () const
virtual Tag * | embeddedTag () const
int | extensionType () const

## Detailed Description

This is a wrapper of an XHTML-IM (XEP-0071) message body.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 34 of file xhtmlim.h.

## Constructor & Destructor Documentation

## XHtmlIM()

XHtmlIM | ( | const Tag * | xhtml = 0 | ) |

Constructs a new object with the given resource string.

Parameters

  xhtml | XHTML to include.

Definition at line 21 of file xhtmlim.cpp.

## ~XHtmlIM()

~XHtmlIM | ( |  | ) |

virtual

Virtual Destructor.

Definition at line 33 of file xhtmlim.cpp.

## Member Function Documentation

## clone()

StanzaExtension * clone | ( |  | ) | const

virtual

Returns an identical copy of the current StanzaExtension.

Returns
  An identical copy of the current StanzaExtension.

Implements StanzaExtension.

Definition at line 49 of file xhtmlim.cpp.

## filterString()

const std::string & filterString | ( |  | ) | const

virtual

Returns an XPath expression that describes a path to child elements of a stanza that an extension handles.

Returns
  The extension's filter string.

Implements StanzaExtension.

Definition at line 38 of file xhtmlim.cpp.

## newInstance()

virtual StanzaExtension * newInstance | ( | const Tag * | tag | ) | const

inline virtual

Returns a new Instance of the derived type. Usually, for a derived class FooExtension, the implementation of this function looks like:

StanzaExtension* FooExtension::newInstance( const Tag* tag ) const
{
return new FooExtension( tag );
}
gloox::StanzaExtension::StanzaExtension
StanzaExtension(int type)
Definition stanzaextension.h:211
gloox::Tag
This is an abstraction of an XML element.
Definition tag.h:47
gloox::XHtmlIM::tag
virtual Tag * tag() const
Definition xhtmlim.cpp:44

Returns
  The derived extension's new instance.

Implements StanzaExtension.

Definition at line 60 of file xhtmlim.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Returns a Tag representation of the extension.

Returns
  A Tag representation of the extension.

Implements StanzaExtension.

Definition at line 44 of file xhtmlim.cpp.

## xhtml()

const Tag * xhtml | ( |  | ) | const

inline

Returns a pointer to the internally stored XHTML, as opposed to tag(), which returns a copy (which you need to delete manually).

Returns
  A pointer to the XHTML. Do not delete this Tag.

Definition at line 54 of file xhtmlim.h.

The documentation for this class was generated from the following files:

- xhtmlim.h
- xhtmlim.cpp